Loading...
Searching...
No Matches
pappso::PrecisionBase Class Referenceabstract

`#include <precision.h>`

Inheritance diagram for pappso::PrecisionBase:

## Public Member Functions

virtual PrecisionUnit | unit () const =0
virtual pappso_double | getNominal () const final
virtual pappso_double | delta (pappso_double value) const =0
virtual QString | toString () const =0

## Protected Member Functions

| PrecisionBase (pappso_double nominal)

## Protected Attributes

const pappso_double | m_nominal

## Detailed Description

Definition at line 43 of file precision.h.

## Constructor & Destructor Documentation

## PrecisionBase()

pappso::PrecisionBase::PrecisionBase | ( | pappso_double | nominal | ) |

inline protected

Definition at line 48 of file precision.h.

: m_nominal(nominal)
{
}
pappso::PrecisionBase::m_nominal
const pappso_double m_nominal
Definition precision.h:46

## Member Function Documentation

## delta()

virtual pappso_double pappso::PrecisionBase::delta | ( | pappso_double | value | ) | const

pure virtual

Implemented in pappso::DaltonPrecision, pappso::PpmPrecision, and pappso::ResPrecision.

Referenced by pappso::AaStringCodeMassMatching::AaStringCodeMassMatching(), pappso::MzRange::MzRange(), pappso::Trace::containsX(), pappso::MzIntegrationParams::createArbitraryBins(), pappso::MsRunDataSetTreeNode::precursorIonNodesByPrecursorMz(), and pappso::MsRunDataSetTreeNode::productNodesByPrecursorMz().

## getNominal()

pappso_double pappso::PrecisionBase::getNominal | ( |  | ) | const

final virtual

Definition at line 65 of file precision.cpp.

{
return m_nominal;
}

References m_nominal.

Referenced by pappso::specglob::SpectralAlignment::backTrack(), pappso::specglob::SpectralAlignment::buildPeptideModel(), pappso::specglob::PeptideModel::checkForAaModification(), pappso::specglob::PeptideModel::checkForAaModificationP(), pappso::specglob::PeptideModel::checkForMutation(), pappso::specglob::PeptideModel::checkForMutations(), pappso::specglob::PeptideModel::eliminateComplementaryDelta(), pappso::specglob::PeptideModel::eliminateNegativeOffset(), pappso::specself::SelfSpectrumDataPoint::fillAntiSpectrumDataPoint(), pappso::specglob::SpectralAlignment::fillMatricesWithScores(), pappso::specglob::PostTreatment::findBetterPeptideModel(), pappso::specglob::SpectralAlignment::getBestRealignScore(), pappso::PrecisionFactory::getPrecisionPtrFractionInstance(), pappso::PrecisionWidget::setCurrentIndex(), pappso::PrecisionWidget::setPrecision(), and pappso::MzIntegrationParams::toString().

## toString()

virtual QString pappso::PrecisionBase::toString | ( |  | ) | const

pure virtual

Implemented in pappso::DaltonPrecision, pappso::PpmPrecision, and pappso::ResPrecision.

Referenced by pappso::MassSpectrumWidget::computeIsotopeMassList(), pappso::XtandemPresetReader::getMs2FiltersOptions(), pappso::MassSpectrumWidget::setMs1Precision(), pappso::MassSpectrumWidget::setMs2Precision(), and pappso::MzIntegrationParams::toString().

## unit()

virtual PrecisionUnit pappso::PrecisionBase::unit | ( |  | ) | const

pure virtual

Implemented in pappso::DaltonPrecision, pappso::PpmPrecision, and pappso::ResPrecision.

Referenced by pappso::MzIntegrationParams::createArbitraryBins(), pappso::PrecisionFactory::getPrecisionPtrFractionInstance(), and pappso::PrecisionWidget::setPrecision().

## Member Data Documentation

## m_nominal

const pappso_double pappso::PrecisionBase::m_nominal

protected

Definition at line 46 of file precision.h.

Referenced by pappso::DaltonPrecision::delta(), pappso::PpmPrecision::delta(), pappso::ResPrecision::delta(), getNominal(), pappso::DaltonPrecision::toString(), pappso::PpmPrecision::toString(), and pappso::ResPrecision::toString().

The documentation for this class was generated from the following files:

- pappsomspp/precision.h
- pappsomspp/precision.cpp